<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhentao.mapper.UsersMapper">

    <resultMap id="BaseResultMap" type="com.zhentao.pojo.Users">
            <id property="userId" column="user_id" />
            <result property="phone" column="phone" />
            <result property="email" column="email" />
            <result property="nickname" column="nickname" />
            <result property="password" column="password" />
            <result property="gender" column="gender" />
            <result property="birthDate" column="birth_date" />
            <result property="avatarUrl" column="avatar_url" />
            <result property="status" column="status" />
            <result property="sourceChannel" column="source_channel" />
            <result property="isProfileComplete" column="is_profile_complete" />
            <result property="createdAt" column="created_at" />
            <result property="updatedAt" column="updated_at" />
            <result property="consentToCollect" column="consent_to_collect" />
            <result property="lastLoginAt" column="last_login_at" />
            <result property="lastActiveAt" column="last_active_at" />
            <result property="hasWechatLogin" column="has_wechat_login" />
    </resultMap>

    <sql id="Base_Column_List">
        user_id,phone,email,nickname,password,gender,
        birth_date,avatar_url,status,source_channel,is_profile_complete,
        created_at,updated_at,consent_to_collect,last_login_at,last_active_at,
        has_wechat_login
    </sql>
</mapper>
